﻿@font-face {
    font-family: 'OoohBaby-Regular';
    src: url('../fonts/OoohBaby-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'MartinaPlantijn-Regular';
    src: url('../fonts/MartinaPlantijn-Regular.otf') format('opentype');
}

@font-face {
    font-family: 'MartinaPlantijn-Regular';
    src: url('../fonts/martina-plantijn-regular.woff2') format('woff2');
}

@font-face {
    font-family: 'SkandiaSN-Regular';
    src: url('../fonts/SkandiaSN-Regular.otf') format('opentype');
}

@font-face {
    font-family: 'SkandiaSN-Regular';
    src: url('../fonts/SkandiaSN-Regular.woff2') format('woff2');
}

*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
    font: inherit;
    scroll-behavior: smooth;
}

body {
    font-family: 'SkandiaSN-Regular', sans-serif;
    font-size: 1rem;
    background-color: #fff;
    letter-spacing: -.02rem;
    color: #1c1c1a;
}

h1, h2, h3, h4 {
    font-family: 'SkandiaSN-Regular', sans-serif;
}


a {
    color: #ecab20;
    text-decoration: none;
}
:active:hover {
    color: #E6F1EC;
}
.afspraak-body {
    display: flex;
    flex-direction: row;
}

.kolom1 {
    flex: 2;
    margin: 1rem;
}

.kolom2 {
    flex: 1;
    margin: 1rem;
}

.titel {
    display: block;
    color: #1c1c1a;
    font-size: 2rem;
    margin: 2rem 0;
}

.sub-titel {
    display: block;
    color: #ecab20;
    font-size: .9rem;
    text-transform: uppercase;
    padding: .5rem 1.5rem;
}

.subtitel-groep {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.sessie-gegevens {
    display: flex;
    flex-direction: column;
    margin-top: 10rem;
}

.sessie-gegevens-titel {
    display: block;
    color: #1c1c1a;
    font-size: .9rem;
    text-transform: uppercase;
    padding: .5rem 1.5rem;
}

.sessie-gegevens-bedankt {
    display: flex;
    flex-direction: row;
}
.disclaimer-tekst {
    order: 3;
    font-size: .8rem;
    color: #d3d3d3;
    padding: 1rem;
    margin: 1rem;
    margin-top: 0;
}

.info-tegel {
    display: flex;
    order: 2;
    flex-direction: column;
    background-color: #1c1c1a;
    border: 1px solid #34425A;
    border-radius: 10px;
    padding: 1rem;
    color: #fff;
    margin: 1rem;
}

.info-tegel-titel {
    order: 1;
    font-size: 1.1rem;
    font-weight: bold;
}

.info-tegel-tekst {
    order: 2;
    font-size: .9rem;
    font-weight: normal;
}
.info-tegel-wijzig {
    order: 3;
    text-align: right;
}
.info-tegel-wijzig-hpl {
    order: 4;
    color: #d3d3d3;
    font-size: 1rem;
    text-decoration: none;
}
    .info-tegel-wijzig-hpl:hover {
        color: #fff;
        text-decoration: none;
    }
.afspraaksoort-hoofdregel {
    display: flex;
    justify-content: space-between;
}

.afspraaksoort {
    position: relative;
    background-color: #fff;
    border: 1px solid #212529;
    color: #1c1c1a;
    border-radius: 12px;
    margin: 1rem 0;
    padding: .3rem 2rem;
}

    .afspraaksoort:hover {
        color: #fff!important;
        background-color: #1c1c1a;
        border-color: #1c1c1a;
        cursor: pointer;
    }

    .afspraaksoort:hover a {
        color: #fff!important;
        background-color: #1c1c1a;
        border-color: #1c1c1a;
        cursor: pointer;
    }

/*        .afspraaksoort:hover:after {
            content: "➔";
            position: absolute;
            top: .5rem;
            right: 1.5rem;
            font-size: 2rem;
            font-weight: normal;
            color: #001537;
            transition: 0.5s;
        }*/

.afspraaksoort-geselecteerd {
    background-color: #1c1c1a;
    border-color: #1c1c1a;
    color: #fff!important;
}

    .afspraaksoort-geselecteerd

    .afspraaksoort-geselecteerd .afspraaksoort-hoofdregel .afspraaksoort-omschrijving {
        color: #fff !important;
    }
    /*    .afspraaksoort-geselecteerd:after {
        content: "➔";
        position: absolute;
        top: .5rem;
        right: 1.5rem;
        font-size: 2rem;
        font-weight: normal;
        color: #001537;
        transition: 0.5s;
    }*/

    .afspraaksoort-omschrijving {
    color: #001537;
    font-size: 1.3rem;
    font-weight: bold;
    flex-basis: 100%;
    padding: 1rem;
}
        .afspraaksoort-omschrijving:hover {
            color: #fff;
        }
        .afspraaksoort-omschrijving::selection {
            color: #fff;
        }
.afspraaksoort-hoofdregel::selection {
    color: #fff;
}
.afspraaksoort-duur {
    color: #001537;
    font-size: 1rem;
    font-weight: normal;
}

.kalender-container {
    background-color: #fff;
    border: 1px solid rgba(0, 21, 55, 0.9);
    border-radius: 2rem;
    padding: 1rem;
    margin-bottom: 2rem;
}

.kalender {
    width: 100%;
    max-width: 470px;
    margin: 0 auto;
    border-collapse: collapse;
}

.tijden {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.tijd {
    display: inline-block;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    background-color: #1c1c1a;
    color: #fff;
    font-size: 1.2rem;
    padding: 1rem;
    margin: 1rem;
    text-align: center;
    cursor: pointer;
    width: 6rem;
}

    .tijd:hover {
        background-color: #ecab20;
        color: #fff;
    }

.tijd-geselecteerd {
    background-color: #1c1c1a;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    overflow: hidden;
    color: #001537;
}

.button-groep {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin: .8rem 0;
}
.button-groep-top {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    margin-left: 0;
    margin-top: 2rem;
    margin-bottom: 6rem;
}
.btn-top {
    background-color: #ecab20;
    border: 1px solid #9f7400;
    border-radius: 10px;
    color: #fff;
    font-size: 1rem;
    font-weight: 600;
    text-transform: uppercase;
    min-width: 14rem;
    text-align: center;
    padding: .9rem;
    cursor: pointer;
    text-decoration: none;
}

    .btn-top:hover {
        background-color: #9f7400;
        border: 1px solid #ccc;
        color: #fff;
        text-decoration: none;
    }


.btn-ow {
    background-color: #ecab20;
    border: 1px solid #9f7400;
    border-radius: 10px;
    color: #fff;
    font-size: 1.2rem;
    width: 100%;
    text-align: center;
    padding: .9rem;
    cursor: pointer;
}

    .btn-ow:hover {
        background-color: #9f7400;
        color: #fff;
    }

.lbl-ow {
    color: #1c1c1a;
    font-size: 1rem;
    padding: 1rem 0;
}

.tbx-ow {
    color: #001537;
    font-size: 1rem;
    border: 1px solid rgba(0, 21, 55, 0.9);
    border-radius: 10px;
    width: 100%;
    padding: 1rem;
}



/* The chk-container */
.chk-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    color: #fff;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .chk-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.checkmark-ow {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    border-radius: 10px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.chk-container:hover input ~ .checkmark-ow {
    background-color: #fff;
}

/* When the checkbox is checked, add a blue background */
.chk-container input:checked ~ .checkmark-ow {
    background-color: #eee;
}

/* Create the checkmark-ow/indicator (hidden when not checked) */
.checkmark-ow:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark-ow when checked */
.chk-container input:checked ~ .checkmark-ow:after {
    display: block;
}

/* Style the checkmark-ow/indicator */
.chk-container .checkmark-ow:after {
    left: 9px;
    top: 4px;
    width: 8px;
    height: 12px;
    border: solid #001537;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}



.hpl-ow {
    color: #ecab20;
    text-decoration: none;
}

    .hpl-ow:hover {
        color: #1c1c1a;
    }

.invoer-veld {
    display: flex;
    justify-content: space-between;
    margin: 1rem 0;
}
    .invoer-veld label {
        flex: 1;
    }

    .veld-met-validator {
        display: flex;
        flex-direction: column;
        flex: 2;
    }

    .veld-met-validator .tbx-ow {
        width: 100%;
    }

#btnTerug {
    width: 40%;
}

.bedankt-tekst {
    color: #1c1c1a;
}
.uitleg, .bel-button {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 1rem;
    order: 5;
    max-width: 360px
}

    .bel-button a {
        text-decoration: none;
    }
.bel-body {
    background-color: #34425A;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 2rem;
}

.bel-button-icon {
    max-width: 3rem;
}

.phone-number {
    display: flex;
    align-items: center;
    justify-content: center;
}


.status-melding {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
    padding: 1rem;
    font-size: .9rem;
    color: #1c1c1a;
}

.status-melding-duidelijk-in-beeld {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    text-align: center;
    padding: 1rem;
    font-size: 1.1rem;
    color: #ecab20;
}

.validatie-meldingen {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: end;
    text-align: right;
}

.melding-validatie-waarschuwing {
    font-size: 1rem;
    color: #FF0000;
}

.toast-info {
    background-color: #1c1c1a;
}

.info-cirkel {
    display: flex;
    align-items: center;
    justify-content: center;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    width: 1.8rem;
    height: 1.8rem;
    background: #fff;
    border: 3px solid #001537;
    color: #001537;
    font-size: 1.2rem;
    font-weight: bold;
    margin: 1rem 0;
}

.datum-keuze {
    display: grid;
    grid-template-columns: 3.5rem 1fr 3.5rem;
    grid-template-areas: "terug dagen verder"
                         "periode periode periode";
    color: #001537;
    justify-content: space-between;
    margin: 1rem;
    align-items: center;
}
#hplDatumNavTerug, #hplDatumNavVerder {
    width: 3.5rem;
    height: 3.5rem;
}
#hplDatumNavTerug {
    grid-area: terug;
}
#hplDatumNavVerder {
    grid-area: verder;
}
.hpl-uitgeschakeld {
    pointer-events: none;
    color: #777 !important;
}
.datum-keuze-periode {
    grid-area: periode;
    font-size: .7rem;
    justify-self: center;
    color: #aaa;
}
.datum-keuze-weekdagen {
    grid-area: dagen;
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}
.datum-keuze-cel {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    text-decoration: none;
    color: #001537;
}
    .datum-keuze-cel:hover {
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
        background-color: #E6F1EC;
        color: #001537;
    }

.datum-keuze-navigatie {
    font-size: 2rem;
    font-weight: bold;
    text-decoration: none;
    color: #001537;
}
.datum-keuze-dag {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    margin: .5rem;
}
.datum-keuze-geselecteerd {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background-color: #1c1c1a;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    text-decoration: none;
    margin: .2rem;
}
    .datum-keuze-geselecteerd .datum-keuze-dag-titel, .datum-keuze-geselecteerd .datum-keuze-dag-nummer {
        color: #fff;
    }

.datum-keuze-niet-beschikbaar {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    text-decoration: none;
    color: #999;
    margin: .2rem;
    pointer-events: none;
}
    .datum-keuze-niet-beschikbaar .datum-keuze-dag-titel, .datum-keuze-niet-beschikbaar .datum-keuze-dag-nummer {
        color: #999;
    }
.datum-keuze-beschikbaar {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    text-decoration: none;
    color: #001537;
    margin: .2rem;
}
    .datum-keuze-beschikbaar .datum-keuze-dag-titel, .datum-keuze-beschikbaar .datum-keuze-dag-nummer {
        color: #001537;
    }
.datum-keuze-fout {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    text-decoration: none;
    color: #999;
    margin: .2rem;
    pointer-events: none;
}
    .datum-keuze-fout .datum-keuze-dag-titel, .datum-keuze-fout .datum-keuze-dag-nummer {
        color: #999;
    }
.datum-keuze-vol {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    text-decoration: none;
    color: #999;
    margin: .2rem;
    pointer-events: none;
}
    .datum-keuze-vol .datum-keuze-dag-titel, .datum-keuze-vol .datum-keuze-dag-nummer {
        color: #999;
    }
.datum-keuze-dag-titel {
    font-size: .9rem;
    text-decoration: none;
    color: #001537;
}
.datum-keuze-dag-nummer {
    font-size: 1.5rem;
    font-weight: bold;
    text-decoration: none;
    color: #001537;
}
.datum-keuze-gekozendatum {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.8rem;
    margin: .6rem 1rem;
}
.datum-keuze-extra-uitleg {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 1.1rem;
    margin: .5rem;
}

.inloggen-groep {
    display: flex;
    flex-direction: column;
}
.extra-uitleg {
    font-size: .8rem;
    text-decoration: none;
    color: #d3d3d3;
}
.annuleren {
    text-decoration: line-through;
}

#divExtraButtons {
    margin-top: 5rem;
}

.geboortedatum {
    display: flex;
}
.geboortedatum-dag {
    flex: 1;
    text-align: center;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}
.geboortedatum-maand {
    flex: 1;
    text-align: center;
    border-radius: 3px;
}
.geboortedatum-jaar {
    flex: 3;
    text-align: center;
    border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
}
.div-loading {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    color: #777;
    font-family:Courier New, Courier, monospace;
    font-size: .8rem;
}
.div-loading img {
    max-width: 100px;
    border: 0;
}
.loading-container {
    background-color: #34425A;
    padding: 3rem;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    background-color: #fff;
}
@media screen and (max-width: 800px) {
    .afspraak-body {
        flex-direction: column;
    }
    .afspraaksoort {
        margin: .5rem;
        padding: .9rem;
        border-radius: 1.5rem;
    }
    .afspraaksoort-omschrijving {
        font-size: 1rem;
    }
    .info-cirkel {
        font-size: .9rem;
    }
    .kolom1, .kolom2 {
        margin: 0;
    }

    .container {
        padding: 2px;
    }

    .tbx-ow {
        padding: .6rem;
        width: 100%;
        border-radius: .7rem;
        font-size: .9rem;
    }
    .lbl-ow {
        padding: .3rem;
        font-size: .9rem;
    }

    .btn-ow {
        border-radius: 1rem;
        font-size: .8rem;
        padding: .3rem;
    }

    .sessie-gegevens {
        margin-top: .3rem;
    }
    .sessie-gegevens-bedankt {
        flex-direction: column;
    }
    .sessie-gegevens-titel {
        order: 1;
        padding: .3rem;
    }

    .kalender-container {
        padding: .2rem;
        border-radius: .5rem;
    }

    .datum-keuze {
        margin: .3rem;
    }

    .datum-keuze {
        display: grid;
        grid-template-columns: 50% 50%;
        grid-template-areas: "terug verder"
                             "dagen dagen"
                             "periode periode";
    }

    .datum-keuze-geselecteerd, .datum-keuze-niet-beschikbaar, .datum-keuze-beschikbaar, .datum-keuze-fout, .datum-keuze-vol, .datum-keuze-cel {
        width: 3.4rem;
        height: 3.4rem;
        margin: 0;
        padding: .2rem;
    }

    #hplDatumNavTerug, #hplDatumNavVerder {
        align-self: center;
        justify-self: center;
        width: 3.5rem;
        height: 3.5rem;
    }

    .datum-keuze-dag-titel {
        font-size: .9rem;
    }

    .datum-keuze-dag-nummer {
        font-size: 1.5rem;
    }

    .datum-keuze-gekozendatum {
        font-size: 1.4rem;
        margin: .7rem;
    }

    .tijd {
        font-size: 1rem;
        padding: .4rem;
        margin: .7rem .4rem;
        width: 3.5rem;
    }

    .info-tegel {
        margin: .2rem;
        padding: .5rem;
    }

    .bel-button {
        order: 0;
    }

    .info-tegel-wijzig-hpl {
        font-size: .9rem;
    }

    .button-groep {
        margin: .5rem;
    }
    .button-groep-top {
        margin: 1rem;
    }
    .invoer-veld {
        margin: .5rem;
    }


}
